<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<meta name="language" content="en" />

	<!-- blueprint CSS framework -->
	<link rel="stylesheet" type="text/css" href="<?php echo Yii::app()->request->baseUrl; ?>/css/screen.css" media="screen, projection" />
	<link rel="stylesheet" type="text/css" href="<?php echo Yii::app()->request->baseUrl; ?>/css/print.css" media="print" />
	<!--[if lt IE 8]>
	<link rel="stylesheet" type="text/css" href="<?php echo Yii::app()->request->baseUrl; ?>/css/ie.css" media="screen, projection" />
	<![endif]-->

	<link rel="stylesheet" type="text/css" href="<?php echo Yii::app()->request->baseUrl; ?>/css/main.css" />
	<link rel="stylesheet" type="text/css" href="<?php echo Yii::app()->request->baseUrl; ?>/css/form.css" />

	<title><?php echo CHtml::encode($this->pageTitle); ?></title>
</head>

<body>

<div class="container" id="page">

	<div id="header">
		<h1 id="logo"><?php echo CHtml::link(CHtml::image('/images/logo.png','Logo', array('witdh'=>'50px','height'=>'50px','style'=>'padding-right:20px;')).CHtml::encode(Yii::app()->name), '/'); ?></h1>
	</div><!-- header -->
	<?php
	foreach (array_slice(Yii::app()->user->getFlashes(),0,-1) as $class=>$message) {
		echo CHtml::tag('div', array('class'=>"flash-$class"), $message);
	} ?>
	<div id="content">
		<h2><?php echo $this->pageTitle; ?> Demo</h2>
		<?php echo $content; ?>
	</div>

	<div id="footer">
		Copyright &copy; <?php echo date('Y'); ?> by PBM Web Development.<br/>
		All Rights Reserved.<br/>
		<?php echo Yii::powered(); ?>
	</div><!-- footer -->

</div><!-- page -->

</body>
</html>